%define _use_internal_dependency_generator 0
%define cpanname Quota

Name:    perl-%{cpanname}
Version: 1.5.1
Release: 0.%{mysig}
Summary: Perl interface to file system quotas.
License: Distributable
Group: Development/Libraries
URL: http://search.cpan.org/search?mode=module&query=%{cpanname}
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl >= 0:5.00503
Source0: %{cpanname}-%{version}.tar.gz

%description
The Quota module provides access to file system quotas. The quotactl system
call or ioctl is used to query or set quotas on the local host, or queries are
submitted via RPC to a remote host. Mount tables can be parsed with getmntent
and paths can be translated to device files (or whatever the actual quotactl
implementations needs as argument) of the according file system.

%prep
%setup -q -n %{cpanname}-%{version}

%build
echo | CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
#make test

%clean
rm -rf $RPM_BUILD_ROOT
%install

rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" | \
        grep -v perllocal.pod | \
        grep -v "\.packlist" > %{cpanname}-%{version}-filelist
if [ "$(cat %{cpanname}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{cpanname}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Sat Sep 08 2007 Milan Kerslager <kerslage@linux.cz> 1.5.1-0.ker.rhel5
- rebuild for RHEL5

* Fri Aug 26 2005 Milan Kerslager <kerslage@linux.cz> 1.5.1-0.ker.rhel4
- update to the latest release

* Wed Feb 23 2005 Milan Kerslager <kerslage@linux.cz> 1.5.0-1.ker.rhel4
- rebuild for RHEL4
- update to the latest version

* Wed Jun 30 2004 Milan Kerslager <kerslage@linux.cz> 1.4.10-0.1.ker.rhel3
- initial version
